## libyuv 0.0~git20220617.e906ba9

=== debian/changelog ===
libyuv (0.0~git20220617.e906ba9-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 13:40:58 -0700

libyuv (0.0~git20220617.e906ba9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jun 2022 10:57:08 -0400

libyuv (0.0~git20220617.e906ba9-1) unstable; urgency=medium

  * New upstream snapshot 20220617 (version 1829)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jun 2022 20:14:57 -0400

libyuv (0.0~git20220427.de71c67-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 May 2022 11:57:00 -0400

libyuv (0.0~git20220427.de71c67-1) unstable; urgency=medium

  * New upstream snapshot 20220427 (version 1823).
  * debian/libyuv0.shlibs: Tighten version requirement to latest.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Apr 2022 20:31:51 -0400

libyuv (0.0~git20220407.2ad7373-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 11:10:15 -0400

libyuv (0.0~git20220407.2ad7373-1) unstable; urgency=medium

  * New upstream snapshot 20220407 (version 1818).
  * debian/libyuv0.shlibs: Tighten version requirement to latest.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Apr 2022 14:58:12 -0400

libyuv (0.0~git20220316.3aebf69-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Mar 2022 19:08:58 -0400

libyuv (0.0~git20220316.3aebf69-1) unstable; urgency=medium

  * New upstream snapshot 20220316 (version 1813).
  * debian/libyuv0.shlibs: Tighten version requirement to latest.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 20:10:37 -0400

libyuv (0.0~git20220104.b91df1a-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jan 2022 15:39:46 -0500
