=== debian/control ===
Source: libyuv
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Boyuan Yang <byang@debian.org>
Build-Depends: cmake, debhelper-compat (= 13), libjpeg-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://chromium.googlesource.com/libyuv/libyuv/
Vcs-Git: https://salsa.debian.org/debian/libyuv.git
Vcs-Browser: https://salsa.debian.org/debian/libyuv

Package: libyuv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libyuv0 (= ${binary:Version}), ${misc:Depends}
Description: Library for YUV scaling (development files)
 libyuv is an open source project that includes YUV scaling and
 conversion functionality.
 .
 This package provides the development files.

Package: libyuv-utils
Architecture: any
Depends: libyuv0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Library for YUV scaling (utilities)
 libyuv is an open source project that includes YUV scaling and
 conversion functionality.
 .
 This package provides utilities provided by the library, including
 yuvconvert.

Package: libyuv0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libyuv
Conflicts: libyuv
Replaces: libyuv
Description: Library for YUV scaling (shared library)
 libyuv is an open source project that includes YUV scaling and
 conversion functionality.
 .
 This package provides the shared library.
