=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,7 @@
 # https://github.com/archlinux/svntogit-community/blob/packages/libyuv/trunk/PKGBUILD
 execute_before_dh_auto_configure:
 	sed -i 's|yuvconvert $${JPEG_LIBRARY}|$${ly_lib_shared} $${JPEG_LIBRARY}|g' ./CMakeLists.txt
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
