## libyuv 0.0~git20220809.9b17af9

=== debian/changelog ===
libyuv (0.0~git20220809.9b17af9-1ubuntu2) kinetic; urgency=medium

  * Add arm64 to the list of test blacklist archs: tests fail in Ubuntu
    but not in Debian and when running the testsuite for the previous
    version of the package (before the testsuite was enabled) it also fails.

 -- Steve Langasek <vorlon@debian.org>  Wed, 21 Sep 2022 17:41:12 +0000

libyuv (0.0~git20220809.9b17af9-1ubuntu1) kinetic; urgency=medium

  * debian/patches/0001-Revert-Merge-SplitRGB-fix-mcmodel-large-x86-and-
    Inte.patch: [PATCH] Revert "Merge/SplitRGB fix -mcmodel=large x86
    and.  Latest libyuv snapshot fails to build on amd64 and arm64 in
    Ubuntu with test regressions but not in Debian, not yet clear why.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Sep 2022 10:26:03 -0700

libyuv (0.0~git20220809.9b17af9-1) unstable; urgency=medium

  * New upstream snapshot 20220809 (version 1838).
  * debian/libyuv0.shlibs: Tighten minimum version requirement.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Aug 2022 14:58:31 -0400

libyuv (0.0~git20220714.fe8c78b-2) unstable; urgency=medium

  * Disable tests on known broken architectures.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jul 2022 17:56:05 -0400

libyuv (0.0~git20220714.fe8c78b-1) unstable; urgency=medium

  * New upstream snapshot 20220714 (version 1833)
  * debian/rules: Enable unit tests after build.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Add new build-dependency "googletest <!nocheck>".

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Jul 2022 10:55:26 -0400
