=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,30 @@
 export DEB_LDFLAGS_MAINT_APPEND =
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 # https://github.com/archlinux/svntogit-community/blob/packages/libyuv/trunk/PKGBUILD
 execute_before_dh_auto_configure:
 	sed -i 's|yuvconvert $${JPEG_LIBRARY}|$${ly_lib_shared} $${JPEG_LIBRARY}|g' ./CMakeLists.txt
 
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  LIBYUV_TEST_FLAG := ON
+else
+  LIBYUV_TEST_FLAG := OFF
+endif
+
+# Known broken googletest
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64 armel s390x powerpc ppc64 sparc64))
+  LIBYUV_TEST_FLAG = OFF
+endif
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	    -DTEST=$(LIBYUV_TEST_FLAG) \
+	    $(NULL)
+
+execute_after_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	-find . -name libyuv_unittest
+	( exec $$(find . -name libyuv_unittest) )
+endif
