=== debian/changelog ===
libyuv (0.0~git20221118.ea26d7a-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 16:42:12 -0800

libyuv (0.0~git20221118.ea26d7a-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Nov 2022 14:41:16 -0500

libyuv (0.0~git20221118.ea26d7a-2) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 13:44:31 -0500

libyuv (0.0~git20221118.ea26d7a-1) experimental; urgency=medium

  * New upstream snapshot 20221118.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Nov 2022 14:22:05 -0500

libyuv (0.0~git20221018.8084f0b-1) unstable; urgency=medium

  * New upstream snapshot 20221018.
    + Build yuvconstants tool.
  * debian/patches: Add CMakeLists.txt patch to ensure yuvconstants
    in installed after build.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Oct 2022 16:09:17 -0400

libyuv (0.0~git20220923.b9adaef-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Sep 2022 16:07:45 -0400

libyuv (0.0~git20220923.b9adaef-1~exp1) experimental; urgency=medium

  * New upstream snapshot 20220923 (version 1845).
  * debian/libyuv0.shlibs: Tighten minimum version requirement.
  * debian/rules: Explicitly disable LTO. Enabling LTO will cause
    the following test to fail:
    - LibYUVPlanarTest.TestInterpolatePlane_16

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Sep 2022 20:14:11 -0400

libyuv (0.0~git20220809.9b17af9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Aug 2022 15:10:03 -0400
