=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -26,7 +26,7 @@
 endif
 
 # Known broken googletest
-ifneq (,$(filter $(DEB_HOST_ARCH), arm64 armel s390x powerpc ppc64 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), armel s390x powerpc ppc64 sparc64))
   LIBYUV_TEST_FLAG = OFF
 endif
 
@@ -40,3 +40,7 @@
 	-find . -name libyuv_unittest
 	( exec $$(find . -name libyuv_unittest) )
 endif
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
