## libyuv 0.0~git20230123.b2528b0

=== debian/changelog ===
libyuv (0.0~git20230123.b2528b0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 19:30:11 -0500

libyuv (0.0~git20230123.b2528b0-1) unstable; urgency=medium

  * New upstream snapshot 20230123.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Feb 2023 16:42:22 -0500

libyuv (0.0~git20230104.6e4b0ac-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Jan 2023 13:03:59 -0500
