=== debian/changelog ===
libyuv (0.0~git202401110.af6ac82-1) unstable; urgency=medium

  * New upstream snapshot 20240110.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 07:12:33 -0500

libyuv (0.0~git20231118.e6d5adb-1) unstable; urgency=medium

  * New upstream release 20231118.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 14:27:42 -0500

libyuv (0.0~git20230907.cbfb661-1) unstable; urgency=medium

  * New upstream snapshot 20230907.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Sep 2023 14:06:12 -0400

libyuv (0.0~git20230616.a366ad7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * debian/tests/: Add autopkgtest using upstream testsuite.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Sep 2023 04:41:31 -0400

libyuv (0.0~git20230616.a366ad7-1) unstable; urgency=medium

  * New upstream snapshot 20230616.
  * debian/rules: Update UNIT_TEST flag name.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jun 2023 13:44:03 -0400
