=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -DTEST=$(LIBYUV_TEST_FLAG) \
+	    -DUNIT_TEST=$(LIBYUV_TEST_FLAG) \
 	    $(NULL)
 
 execute_after_dh_auto_test:
@@ -40,7 +40,3 @@
 	-find . -name libyuv_unittest
 	( exec $$(find . -name libyuv_unittest) )
 endif
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
