=== debian/changelog ===
libyuv (0.0.1888.20240509-4) unstable; urgency=medium

  * Really fix patch 0004 to fix the FTBFS on ARM architectures.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 May 2024 11:41:02 -0400

libyuv (0.0.1888.20240509-3) unstable; urgency=medium

  * Revise patch 0004 to really fix the FTBFS.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 May 2024 08:10:55 -0400

libyuv (0.0.1888.20240509-2) unstable; urgency=medium

  * d/p/0004-CMakeLists.txt-Do-not-enable-NEON-for-armel-armhf.patch:
    Do not enable NEON for armel to avoid FTBFS. Also do not enable NEON
    for armhf since Debian armhf does not guarantee it in the
    architecture baseline.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 May 2024 23:42:13 -0400

libyuv (0.0.1888.20240509-1) unstable; urgency=medium

  * New upstream snapshot 20240509 (rev 1888).
  * Revise versioning scheme due to broken date in the last upload.
  * debian/watch: Adjust monitoring pretty rule accordingly.
  * debian/patches/0002-googletest: Dropped, use variable override
    in debian/rules instead.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 May 2024 21:43:17 -0400
