## libyuv 0.0.1888.20240607

=== debian/changelog ===
libyuv (0.0.1888.20240607-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 18:52:58 -0400
