=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -DUNIT_TEST=$(LIBYUV_TEST_FLAG) \
+	    -DGTEST_SRC_DIR=/usr/src/googletest/googletest \
 	    $(NULL)
 
 execute_after_dh_auto_test:
