=== debian/changelog ===
libyuv (0.0.1888.20240710-3) unstable; urgency=medium

  * debian/rules: Disable tests on hppa as well due to broken support for
    big-endian architecture. (Closes: #1021606)

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jul 2024 10:33:57 -0400

libyuv (0.0.1888.20240710-2) unstable; urgency=medium

  * debian/patches/0004-Do-not-compile-AArch64-SME-kernels-for-now.patch:
    Do not compile AArch64 SME kernels for arm64 since the current GCC seems
    does not recognize feature modifier sme in '-march=armv9-a+sme'.
    This fixes FTBFS on arm64 architecture with GCC 13.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jul 2024 00:10:31 -0400

libyuv (0.0.1888.20240710-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2024 22:38:06 -0400
