=== debian/changelog ===
libyuv (0.0.1888.20241107-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Move package description to source package section.
  * debian/patches: Refresh patches.
  * debian/patches/0004-Do-not-compile-AArch64-SME-kernels-for-now.patch:
    Dropped for now to make a test build.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 08:31:45 -0500
