=== debian/control ===
Source: libyuv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 googletest ,
 libjpeg-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://chromium.googlesource.com/libyuv/libyuv/
Vcs-Git: https://salsa.debian.org/debian/libyuv.git
Vcs-Browser: https://salsa.debian.org/debian/libyuv
Description: Library for YUV scaling
 libyuv is an open source project that includes YUV scaling and
 conversion functionality.

Package: libyuv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libyuv0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the development files.

Package: libyuv-utils
Architecture: any
Depends:
 libyuv0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package provides utilities provided by the library, including
 yuvconvert.

Package: libyuv0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 libyuv,
Conflicts:
 libyuv,
Replaces:
 libyuv,
Description: ${source:Synopsis} (shared library)
 ${source:Extended-Description}
 .
 This package provides the shared library.
