=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
+
+# m-privacy
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
 
 %:
 	dh $@ --buildsystem=cmake
@@ -26,7 +31,8 @@
 endif
 
 # Known broken googletest
-ifneq (,$(filter $(DEB_HOST_ARCH), armel s390x powerpc ppc64 sparc64))
+# hppa: requested in https://bugs.debian.org/1021606
+ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa s390x powerpc ppc64 sparc64))
   LIBYUV_TEST_FLAG = OFF
 endif
 
@@ -41,3 +47,7 @@
 	-find . -name libyuv_unittest
 	( exec $$(find . -name libyuv_unittest) )
 endif
+
+override_dh_compress:
+	mp_rsbac
+	dh_compress
