## libyuv 0.0.1898.20241125

=== debian/changelog ===
libyuv (0.0.1898.20241125-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/libyuv0.shlibs: Bump minimum required version.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2024 18:38:44 -0500
