=== debian/watch ===
version=4
#opts="mode=git,pretty=0.0.%cd.%h" \
opts="mode=git,pretty=0.0.1898.%cd" \
 https://chromium.googlesource.com/libyuv/libyuv \
 HEAD debian uupdate
